View Issue Details

IDProjectCategoryView StatusLast Update
0025482Open CASCADEOCCT:Data Exchangepublic2020-12-02 17:11
ReporteribsAssigned Toabv  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Product Version6.8.0 
Target Version7.5.0Fixed in Version7.5.0 
Summary0025482: Data Exchange - Usage of progress indicator by a translation process of a STEP file into DECAF document
Description"Transfer" method of STEPCAFControl_Reader class doesn't use a progress indicator existing in TransientProcess and thus the progress of it can't be shown.
TagsNo tags attached.
Test case number

Relationships

related to 0030871 closedabv Community Data Exchange - Add a minimal progress indication for writing STEP and IGES files 
related to 0025748 closedabv Open CASCADE Foundation Classes - Parallel version of progress indicator 
related to 0025530 closedbugmaster Open CASCADE Data Exchange - high-level API should take progress indicator 

Activities

git

2014-11-14 16:30

administrator   ~0034425

Branch CR25482 has been created by ibs.

SHA-1: aea52f649752d156ffa495ce53b7a3aeda024422


Detailed log of new commits:

Author: dln
Date: Wed Nov 12 16:10:06 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    progress indicator added to STEPCAFControl_Reader::Transfer()

ibs

2014-11-14 16:31

developer   ~0034427

dear kgv, please review CR25482 branch

ibs

2014-11-14 16:50

developer   ~0034428

dear dln, there is the need to process "abort" action.

git

2014-11-20 08:47

administrator   ~0034523

Branch CR25482 has been updated by dln.

SHA-1: 2484498a1106d39f1078aee3eed5692748cde3db


Detailed log of new commits:

Author: dln
Date: Thu Nov 20 08:48:07 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    Add possibility to abort the process in STEPCAFControl_Reader::Transfer()

git

2014-11-20 10:05

administrator   ~0034526

Branch CR25482_1 has been created by kgv.

SHA-1: 48b053876418a7f85f4e61b7453df540fb77d51e


Detailed log of new commits:

Author: dln
Date: Thu Nov 20 10:05:21 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    Add progress indicator to STEPCAFControl_Reader::Transfer().

git

2014-12-09 15:18

administrator   ~0035210

Branch CR25482_1 has been updated by dln.

SHA-1: f51fca24855a8c863244f02037059cbc9617a4a5


Detailed log of new commits:

Author: dln
Date: Tue Dec 9 15:15:44 2014 +0300

    0025482: Usage of progress indicator by a translation process of a STEP file into DECAF document
    
    - usage of progress indicator by a translation process of a IGES file into DECAF document

dln

2014-12-09 15:31

developer   ~0035212

Dear gka,

please review CR25482_1 branch

gka

2014-12-10 10:50

developer   ~0035246

To correct usage of progress indicator during translation of STEP and IGES in XCAF document in current implementation following corrections should be made:

1.method STEPCAFControl_Reader::Transfer():
Progress indicator should be added in cycle for translation of shapes :
 for ( i=1; i <= num; i++ ) reader.TransferOneRoot ( i );

2. method IGESCAFConrol_Reader::Transfer():
It is usefull to use different progress sentry with different names for different operations:
 Translation
 Addition of shape in document
 Addition of colors and names to shapes in document

git

2015-03-18 14:09

administrator   ~0038630

Branch CR25482_1 has been updated forcibly by dln.

SHA-1: 70b04191a8c95eb2e077223f347d792035e66d52

abv

2020-09-18 21:46

manager   ~0095055

Relevant improvement is implemented within 0025748

git

2020-09-20 11:14

administrator   ~0095143

Branch CR25482_1 has been deleted by inv.

SHA-1: 70b04191a8c95eb2e077223f347d792035e66d52

git

2020-09-20 11:14

administrator   ~0095145

Branch CR25482 has been deleted by inv.

SHA-1: 2484498a1106d39f1078aee3eed5692748cde3db

Issue History

Date Modified Username Field Change
2014-11-14 16:27 ibs New Issue
2014-11-14 16:27 ibs Assigned To => dln
2014-11-14 16:30 git Note Added: 0034425
2014-11-14 16:31 ibs Note Added: 0034427
2014-11-14 16:31 ibs Assigned To dln => kgv
2014-11-14 16:31 ibs Status new => resolved
2014-11-14 16:50 ibs Note Added: 0034428
2014-11-14 16:50 ibs Assigned To kgv => dln
2014-11-14 16:50 ibs Status resolved => feedback
2014-11-19 17:47 kgv Status feedback => assigned
2014-11-19 17:47 kgv Target Version 7.0.0 => 7.1.0
2014-11-20 08:47 git Note Added: 0034523
2014-11-20 10:05 git Note Added: 0034526
2014-11-28 10:06 kgv Relationship added related to 0025530
2014-12-09 15:18 git Note Added: 0035210
2014-12-09 15:20 dln Assigned To dln => kgv
2014-12-09 15:20 dln Status assigned => resolved
2014-12-09 15:20 dln Steps to Reproduce Updated
2014-12-09 15:30 dln Assigned To kgv => gka
2014-12-09 15:31 dln Note Added: 0035212
2014-12-09 15:33 dln Steps to Reproduce Updated
2014-12-10 10:50 gka Note Added: 0035246
2014-12-10 10:50 gka Assigned To gka => ibs
2014-12-10 10:50 gka Status resolved => assigned
2015-03-18 14:09 git Note Added: 0038630
2015-03-20 15:39 ibs Assigned To ibs => dln
2016-10-26 20:02 gka Assigned To dln =>
2016-10-26 20:02 gka Target Version 7.1.0 => 7.2.0
2017-07-27 09:33 abv Target Version 7.2.0 => 7.4.0
2019-07-10 22:17 abv Assigned To => abv
2019-08-13 13:25 kgv Relationship added related to 0030871
2019-09-04 12:07 kgv Summary Usage of progress indicator by a translation process of a STEP file into DECAF document => Data Exchange - Usage of progress indicator by a translation process of a STEP file into DECAF document
2019-09-04 15:54 abv Target Version 7.4.0 => 7.5.0
2019-09-04 21:53 abv Relationship added related to 0025748
2020-09-17 20:17 gka Target Version 7.5.0 => 7.6.0
2020-09-18 21:46 abv Note Added: 0095055
2020-09-18 21:46 abv Status assigned => verified
2020-09-18 21:46 abv Target Version 7.6.0 => 7.5.0
2020-09-20 11:14 git Note Added: 0095143
2020-09-20 11:14 git Note Added: 0095145
2020-12-02 16:40 emo Fixed in Version => 7.5.0
2020-12-02 17:03 emo Resolution open => fixed
2020-12-02 17:11 emo Status verified => closed